Cashier API
OMNO API Documentation (2.0.0)
Download OpenAPI description
Overview
E-mail
Languages
Servers
Production
https://api.omno.com
Sandbox
https://api.omno.dev
- Productionhttps://api.omno.com/public/payout/{payoutId}/reject
- Sandboxhttps://api.omno.dev/public/payout/{payoutId}/reject
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://api.omno.com/public/payout/944732c4608c441aa91379478b91f76e/reject \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'- Productionhttps://api.omno.com/public/payout/{payoutId}/confirm
- Sandboxhttps://api.omno.dev/public/payout/{payoutId}/confirm
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://api.omno.com/public/payout/944732c4608c441aa91379478b91f76e/confirm \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Bodyapplication/jsonrequired
Create Payout Request
Unique identifier for checkout session
Example: "944732c4608c441aa91379478b91f76e"
Payout transaction currency. If processor psp doesn't allow this currency but if this currency is enabled it will be automatically converted to PSP currency and final transaction currency will be set respectively.
Example: "USD"
Whether or not this customer is KYC verified in your system. This flag is required to determine right PSP to process this payout.
Example: false
Customer information
Your defined unique identifier for this customer.
Example: "123456789"
Customer billing information
Customer billing country code (ISO 3166-1 alpha-2)
Example: "US"
Specific router ID to process transaction with.
Example: "944732c4608c441aa91379478b91f76e"
Direct link route ID to process transaction with.
Example: "944732c4608c441aa91379478b91f76e"
- Productionhttps://api.omno.com/public/payout
- Sandboxhttps://api.omno.dev/public/payout
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://api.omno.com/public/payout \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"orderId": "944732c4608c441aa91379478b91f76e",
"value": 100,
"currency": "USD",
"kycVerified": false,
"customer": {
"externalUserId": "123456789",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phoneNumber": "1 1234567890",
"dateOfBirth": "1990-12-01",
"billing": {
"address": "123 Main St",
"city": "Atlanta",
"state": "GA",
"countryCode": "US",
"postalCode": "30308"
},
"kyc": {
"idType": "string",
"idNumber": "string",
"idCountry": "string",
"idExpirationDate": "2019-08-24",
"nationality": "string",
"countryOfBirth": "string"
}
},
"routerId": "944732c4608c441aa91379478b91f76e",
"directRouteId": "944732c4608c441aa91379478b91f76e",
"merchantAdditionalData": {
"property1": {},
"property2": {}
}
}'Response
application/json
{ "payoutId": "944732c4608c441aa91379478b91f76e", "status": "CREATED", "iframeUrls": { "card": "https://checkout.omno.com/payments/<transactionType>/<paymentId>/card", "apm": "https://checkout.omno.com/payments/<transactionType>/<paymentId>/apm" } }